### org.jfree.layouting.renderer.model

# Class StaticBoxLayoutProperties

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.StaticBoxLayoutProperties`

Implemented Interfaces:
  Serializable

`public class StaticBoxLayoutProperties`
`extends java.lang.Object`
`implements Serializable`

A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent. A box typically has two sets of margins. The first set is the declared margin set - it simply expresses the user's definitions. The second set is the effective margin set, it is based on the context of the element in the document tree and denotes the distance between the nodes edge and any oposite edge.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StaticBoxLayoutProperties()`

  ## Method Summary

  `CSSValue`

  `getDominantBaseline()`

  `ExtendedBaselineInfo`

  `getNominalBaselineInfo()`

  `int`

  `getOrphans()`

  `int`

  `getWidows()`

  `boolean`

  `isAvoidPagebreakInside()`

  `boolean`

  `isPreserveSpace()`

  `void`

  `setAvoidPagebreakInside(boolean avoidPagebreakInside)`

  `void`

  `setDominantBaseline(CSSValue dominantBaseline)`

  `void`

  `setNominalBaselineInfo(ExtendedBaselineInfo nominalBaselineInfo)`

  `void`

  `setOrphans(int orphans)`

  `void`

  `setPreserveSpace(boolean preserveSpace)`

  `void`

  `setWidows(int widows)`

  `String`

  `toString()`

## Constructor Details

### StaticBoxLayoutProperties

    public StaticBoxLayoutProperties()

## Method Details

### getDominantBaseline

    public CSSValue getDominantBaseline()

### getNominalBaselineInfo

    public ExtendedBaselineInfo getNominalBaselineInfo()

### getOrphans

    public int getOrphans()

### getWidows

    public int getWidows()

### isAvoidPagebreakInside

    public boolean isAvoidPagebreakInside()

### isPreserveSpace

    public boolean isPreserveSpace()

### setAvoidPagebreakInside

    public void setAvoidPagebreakInside(boolean avoidPagebreakInside)

### setDominantBaseline

    public void setDominantBaseline(CSSValue dominantBaseline)

### setNominalBaselineInfo

    public void setNominalBaselineInfo(ExtendedBaselineInfo nominalBaselineInfo)

### setOrphans

    public void setOrphans(int orphans)

### setPreserveSpace

    public void setPreserveSpace(boolean preserveSpace)

### setWidows

    public void setWidows(int widows)

### toString

    public String toString()